import * as i0 from '@angular/core';
import { Component, Input, NgModule } from '@angular/core';
import * as i1 from '@dynamic-forms/core';
import { DynamicFormElementsComponent, DynamicFormButtonBase, DynamicFormColorPipe, DynamicFormIconBase, DynamicFormIconPipe, DynamicFormActionModule, DynamicFormConfigModule, DynamicFormAccordionBase, dynamicFormItemsFactory, DynamicFormTabsBase, DynamicFormModalBase, DynamicFormElementComponent, dynamicFormModalFactory, DynamicFormModalModule, DynamicFormControlWrapperBase, DynamicFormInputBase, DynamicFormFileBase, DynamicFormFileDirective, DynamicFormFileModule, DynamicFormTextboxModule, DYNAMIC_FORM_LIBRARY, DYNAMIC_FORM_THEME, DYNAMIC_FORM_ID_BUILDER, DynamicFormsModule, DynamicFormElementModule, DynamicFormControlModule, DynamicFormGroupModule, DynamicFormArrayModule, DynamicFormDictionaryModule, DynamicFormValidationModule } from '@dynamic-forms/core';
import * as i2 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i3 from '@angular/forms';
import { ReactiveFormsModule } from '@angular/forms';

const bsDynamicFormLibrary = {
    name: 'bootstrap',
    references: ['core'],
};

class BsDynamicFormDialogComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormDialogComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.0.6", type: BsDynamicFormDialogComponent, isStandalone: true, selector: "bs-dynamic-form-dialog", inputs: { isOpen$: "isOpen$", children: "children", headerActions: "headerActions", footerActions: "footerActions", width: "width", height: "height", minWidth: "minWidth", minHeight: "minHeight", maxWidth: "maxWidth", maxHeight: "maxHeight", maximized: "maximized", title: "title", titleHtml: "titleHtml", classNameForm: "classNameForm", classNameModal: "classNameModal", classNameChildren: "classNameChildren", classNameHeader: "classNameHeader", classNameFooter: "classNameFooter", classNameTitle: "classNameTitle" }, ngImport: i0, template: "<div *ngIf=\"isOpen$ | async\" class=\"dynamic-form-modal modal\" [ngClass]=\"classNameForm\" [class.maximized]=\"maximized\">\n  <div\n    class=\"modal-dialog modal-dialog-centered modal-dialog-scrollable\"\n    [ngClass]=\"classNameModal\"\n    [class.maximized]=\"maximized\"\n    [ngStyle]=\"{\n      width: maximized ? maxWidth || '100%' : width,\n      'min-width': maximized ? maxWidth || '100%' : minWidth,\n      'max-width': maximized ? maxWidth || '100%' : maxWidth,\n      'min-height': maximized ? '100%' : undefined,\n      'max-height': maximized ? '100%' : undefined,\n      margin: maximized ? '0px auto' : undefined\n    }\"\n  >\n    <div\n      class=\"modal-content\"\n      [ngStyle]=\"{\n        height: maximized ? maxHeight || '100%' : height,\n        'min-height': maximized ? maxHeight || '100%' : minHeight,\n        'max-height': maxHeight || '100%'\n      }\"\n    >\n      <div class=\"modal-header\" *ngIf=\"title || titleHtml || headerActions?.length\" [ngClass]=\"classNameHeader\">\n        <div class=\"modal-title\" *ngIf=\"titleHtml; else titlePlain\" [ngClass]=\"classNameTitle\" [innerHTML]=\"titleHtml\"></div>\n        <ng-template #titlePlain>\n          <div class=\"modal-title\" [ngClass]=\"classNameTitle\">{{ title }}</div>\n        </ng-template>\n        <div class=\"modal-toolbar\" *ngIf=\"headerActions?.length\">\n          <dynamic-form-elements [elements]=\"headerActions\"></dynamic-form-elements>\n        </div>\n      </div>\n      <div class=\"modal-body\" [ngClass]=\"classNameChildren\">\n        <dynamic-form-elements [elements]=\"children\"></dynamic-form-elements>\n      </div>\n      <div class=\"modal-footer\" *ngIf=\"footerActions?.length\" [ngClass]=\"classNameFooter\">\n        <dynamic-form-elements [elements]=\"footerActions\"></dynamic-form-elements>\n      </div>\n    </div>\n  </div>\n</div>\n", dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i2.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "pipe", type: i2.AsyncPipe, name: "async" }, { kind: "component", type: DynamicFormElementsComponent, selector: "dynamic-form-elements", inputs: ["elements"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormDialogComponent, decorators: [{
            type: Component,
            args: [{ standalone: true, selector: 'bs-dynamic-form-dialog', imports: [CommonModule, DynamicFormElementsComponent], template: "<div *ngIf=\"isOpen$ | async\" class=\"dynamic-form-modal modal\" [ngClass]=\"classNameForm\" [class.maximized]=\"maximized\">\n  <div\n    class=\"modal-dialog modal-dialog-centered modal-dialog-scrollable\"\n    [ngClass]=\"classNameModal\"\n    [class.maximized]=\"maximized\"\n    [ngStyle]=\"{\n      width: maximized ? maxWidth || '100%' : width,\n      'min-width': maximized ? maxWidth || '100%' : minWidth,\n      'max-width': maximized ? maxWidth || '100%' : maxWidth,\n      'min-height': maximized ? '100%' : undefined,\n      'max-height': maximized ? '100%' : undefined,\n      margin: maximized ? '0px auto' : undefined\n    }\"\n  >\n    <div\n      class=\"modal-content\"\n      [ngStyle]=\"{\n        height: maximized ? maxHeight || '100%' : height,\n        'min-height': maximized ? maxHeight || '100%' : minHeight,\n        'max-height': maxHeight || '100%'\n      }\"\n    >\n      <div class=\"modal-header\" *ngIf=\"title || titleHtml || headerActions?.length\" [ngClass]=\"classNameHeader\">\n        <div class=\"modal-title\" *ngIf=\"titleHtml; else titlePlain\" [ngClass]=\"classNameTitle\" [innerHTML]=\"titleHtml\"></div>\n        <ng-template #titlePlain>\n          <div class=\"modal-title\" [ngClass]=\"classNameTitle\">{{ title }}</div>\n        </ng-template>\n        <div class=\"modal-toolbar\" *ngIf=\"headerActions?.length\">\n          <dynamic-form-elements [elements]=\"headerActions\"></dynamic-form-elements>\n        </div>\n      </div>\n      <div class=\"modal-body\" [ngClass]=\"classNameChildren\">\n        <dynamic-form-elements [elements]=\"children\"></dynamic-form-elements>\n      </div>\n      <div class=\"modal-footer\" *ngIf=\"footerActions?.length\" [ngClass]=\"classNameFooter\">\n        <dynamic-form-elements [elements]=\"footerActions\"></dynamic-form-elements>\n      </div>\n    </div>\n  </div>\n</div>\n" }]
        }], propDecorators: { isOpen$: [{
                type: Input
            }], children: [{
                type: Input
            }], headerActions: [{
                type: Input
            }], footerActions: [{
                type: Input
            }], width: [{
                type: Input
            }], height: [{
                type: Input
            }], minWidth: [{
                type: Input
            }], minHeight: [{
                type: Input
            }], maxWidth: [{
                type: Input
            }], maxHeight: [{
                type: Input
            }], maximized: [{
                type: Input
            }], title: [{
                type: Input
            }], titleHtml: [{
                type: Input
            }], classNameForm: [{
                type: Input
            }], classNameModal: [{
                type: Input
            }], classNameChildren: [{
                type: Input
            }], classNameHeader: [{
                type: Input
            }], classNameFooter: [{
                type: Input
            }], classNameTitle: [{
                type: Input
            }] } });

class BsDynamicFormButtonComponent extends DynamicFormButtonBase {
    constructor(actionService) {
        super(actionService);
        this.actionService = actionService;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormButtonComponent, deps: [{ token: i1.DynamicFormActionService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.0.6", type: BsDynamicFormButtonComponent, isStandalone: true, selector: "bs-dynamic-form-button", usesInheritance: true, ngImport: i0, template: "<a\n  *ngIf=\"template.url; else button\"\n  class=\"dynamic-form-button btn btn-{{ template.color | dynamicFormColor: 'primary' }}\"\n  [class.disabled]=\"template.disabled\"\n  [ngClass]=\"template.className\"\n  [hidden]=\"template.hidden\"\n  [href]=\"template.url\"\n  [target]=\"template.urlTarget || '_blank'\"\n  >{{ template.label }}</a\n>\n\n<ng-template #button>\n  <button\n    [id]=\"id\"\n    class=\"dynamic-form-button btn btn-{{ template.color | dynamicFormColor: 'primary' }}\"\n    [ngClass]=\"template.className\"\n    [type]=\"template.type || 'button'\"\n    [disabled]=\"template.disabled\"\n    [hidden]=\"template.hidden\"\n    (click)=\"onClick($event)\"\n    >{{ template.label }}</button\n  >\n</ng-template>\n\n<bs-dynamic-form-dialog\n  *ngIf=\"dialog\"\n  [isOpen$]=\"dialogOpen$\"\n  [children]=\"dialogChildren\"\n  [headerActions]=\"dialogHeaderActions\"\n  [footerActions]=\"dialogFooterActions\"\n  [width]=\"template.dialogWidth\"\n  [minWidth]=\"template.dialogMinWidth\"\n  [maxWidth]=\"template.dialogMaxWidth\"\n  [title]=\"template.dialogTitle\"\n  [titleHtml]=\"template.dialogTitleHtml\"\n  [classNameForm]=\"element.root.template.className\"\n  [classNameModal]=\"template.className\"\n  [classNameTitle]=\"template.classNameDialogTitle\"\n  [classNameChildren]=\"dialogTemplate?.classNameChildren\"\n  [classNameHeader]=\"dialogTemplate?.classNameHeader\"\n  [classNameFooter]=\"dialogTemplate?.classNameFooter\"\n></bs-dynamic-form-dialog>\n", dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i2.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "pipe", type: DynamicFormColorPipe, name: "dynamicFormColor" }, { kind: "component", type: BsDynamicFormDialogComponent, selector: "bs-dynamic-form-dialog", inputs: ["isOpen$", "children", "headerActions", "footerActions", "width", "height", "minWidth", "minHeight", "maxWidth", "maxHeight", "maximized", "title", "titleHtml", "classNameForm", "classNameModal", "classNameChildren", "classNameHeader", "classNameFooter", "classNameTitle"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormButtonComponent, decorators: [{
            type: Component,
            args: [{ standalone: true, selector: 'bs-dynamic-form-button', imports: [CommonModule, DynamicFormColorPipe, BsDynamicFormDialogComponent], template: "<a\n  *ngIf=\"template.url; else button\"\n  class=\"dynamic-form-button btn btn-{{ template.color | dynamicFormColor: 'primary' }}\"\n  [class.disabled]=\"template.disabled\"\n  [ngClass]=\"template.className\"\n  [hidden]=\"template.hidden\"\n  [href]=\"template.url\"\n  [target]=\"template.urlTarget || '_blank'\"\n  >{{ template.label }}</a\n>\n\n<ng-template #button>\n  <button\n    [id]=\"id\"\n    class=\"dynamic-form-button btn btn-{{ template.color | dynamicFormColor: 'primary' }}\"\n    [ngClass]=\"template.className\"\n    [type]=\"template.type || 'button'\"\n    [disabled]=\"template.disabled\"\n    [hidden]=\"template.hidden\"\n    (click)=\"onClick($event)\"\n    >{{ template.label }}</button\n  >\n</ng-template>\n\n<bs-dynamic-form-dialog\n  *ngIf=\"dialog\"\n  [isOpen$]=\"dialogOpen$\"\n  [children]=\"dialogChildren\"\n  [headerActions]=\"dialogHeaderActions\"\n  [footerActions]=\"dialogFooterActions\"\n  [width]=\"template.dialogWidth\"\n  [minWidth]=\"template.dialogMinWidth\"\n  [maxWidth]=\"template.dialogMaxWidth\"\n  [title]=\"template.dialogTitle\"\n  [titleHtml]=\"template.dialogTitleHtml\"\n  [classNameForm]=\"element.root.template.className\"\n  [classNameModal]=\"template.className\"\n  [classNameTitle]=\"template.classNameDialogTitle\"\n  [classNameChildren]=\"dialogTemplate?.classNameChildren\"\n  [classNameHeader]=\"dialogTemplate?.classNameHeader\"\n  [classNameFooter]=\"dialogTemplate?.classNameFooter\"\n></bs-dynamic-form-dialog>\n" }]
        }], ctorParameters: () => [{ type: i1.DynamicFormActionService }] });

const bsDynamicFormButtonType = {
    type: 'button',
    component: BsDynamicFormButtonComponent,
    libraryName: bsDynamicFormLibrary.name,
};

class BsDynamicFormIconComponent extends DynamicFormIconBase {
    constructor(actionService) {
        super(actionService);
        this.actionService = actionService;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormIconComponent, deps: [{ token: i1.DynamicFormActionService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.0.6", type: BsDynamicFormIconComponent, isStandalone: true, selector: "bs-dynamic-form-icon", usesInheritance: true, ngImport: i0, template: "<div class=\"dynamic-form-icon-wrapper\" [ngClass]=\"template.classNameWrapper\">\n  <a\n    *ngIf=\"template.url; else button\"\n    class=\"dynamic-form-icon btn btn-outline-{{ template.color | dynamicFormColor: 'primary' }}\"\n    [class.disabled]=\"template.disabled\"\n    [ngClass]=\"template.className\"\n    [hidden]=\"template.hidden\"\n    [href]=\"template.url\"\n    [target]=\"template.urlTarget || '_blank'\"\n  >\n    <i class=\"material-icons\">{{ template.icon | dynamicFormIcon }}</i></a\n  >\n\n  <ng-template #button>\n    <button\n      [id]=\"id\"\n      class=\"dynamic-form-icon btn btn-outline-{{ template.color | dynamicFormColor: 'primary' }}\"\n      [ngClass]=\"template.className\"\n      [type]=\"template.type || 'button'\"\n      [disabled]=\"template.disabled\"\n      [hidden]=\"template.hidden\"\n      (click)=\"onClick($event)\"\n    >\n      <i class=\"material-icons\">{{ template.icon | dynamicFormIcon }}</i></button\n    >\n  </ng-template>\n</div>\n\n<bs-dynamic-form-dialog\n  *ngIf=\"dialog\"\n  [isOpen$]=\"dialogOpen$\"\n  [children]=\"dialogChildren\"\n  [headerActions]=\"dialogHeaderActions\"\n  [footerActions]=\"dialogFooterActions\"\n  [width]=\"template.dialogWidth\"\n  [minWidth]=\"template.dialogMinWidth\"\n  [maxWidth]=\"template.dialogMaxWidth\"\n  [title]=\"template.dialogTitle\"\n  [titleHtml]=\"template.dialogTitleHtml\"\n  [classNameForm]=\"element.root.template.className\"\n  [classNameModal]=\"template.className\"\n  [classNameTitle]=\"template.classNameDialogTitle\"\n  [classNameChildren]=\"dialogTemplate?.classNameChildren\"\n  [classNameHeader]=\"dialogTemplate?.classNameHeader\"\n  [classNameFooter]=\"dialogTemplate?.classNameFooter\"\n></bs-dynamic-form-dialog>\n", dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i2.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "pipe", type: DynamicFormColorPipe, name: "dynamicFormColor" }, { kind: "pipe", type: DynamicFormIconPipe, name: "dynamicFormIcon" }, { kind: "component", type: BsDynamicFormDialogComponent, selector: "bs-dynamic-form-dialog", inputs: ["isOpen$", "children", "headerActions", "footerActions", "width", "height", "minWidth", "minHeight", "maxWidth", "maxHeight", "maximized", "title", "titleHtml", "classNameForm", "classNameModal", "classNameChildren", "classNameHeader", "classNameFooter", "classNameTitle"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormIconComponent, decorators: [{
            type: Component,
            args: [{ standalone: true, selector: 'bs-dynamic-form-icon', imports: [CommonModule, DynamicFormColorPipe, DynamicFormIconPipe, BsDynamicFormDialogComponent], template: "<div class=\"dynamic-form-icon-wrapper\" [ngClass]=\"template.classNameWrapper\">\n  <a\n    *ngIf=\"template.url; else button\"\n    class=\"dynamic-form-icon btn btn-outline-{{ template.color | dynamicFormColor: 'primary' }}\"\n    [class.disabled]=\"template.disabled\"\n    [ngClass]=\"template.className\"\n    [hidden]=\"template.hidden\"\n    [href]=\"template.url\"\n    [target]=\"template.urlTarget || '_blank'\"\n  >\n    <i class=\"material-icons\">{{ template.icon | dynamicFormIcon }}</i></a\n  >\n\n  <ng-template #button>\n    <button\n      [id]=\"id\"\n      class=\"dynamic-form-icon btn btn-outline-{{ template.color | dynamicFormColor: 'primary' }}\"\n      [ngClass]=\"template.className\"\n      [type]=\"template.type || 'button'\"\n      [disabled]=\"template.disabled\"\n      [hidden]=\"template.hidden\"\n      (click)=\"onClick($event)\"\n    >\n      <i class=\"material-icons\">{{ template.icon | dynamicFormIcon }}</i></button\n    >\n  </ng-template>\n</div>\n\n<bs-dynamic-form-dialog\n  *ngIf=\"dialog\"\n  [isOpen$]=\"dialogOpen$\"\n  [children]=\"dialogChildren\"\n  [headerActions]=\"dialogHeaderActions\"\n  [footerActions]=\"dialogFooterActions\"\n  [width]=\"template.dialogWidth\"\n  [minWidth]=\"template.dialogMinWidth\"\n  [maxWidth]=\"template.dialogMaxWidth\"\n  [title]=\"template.dialogTitle\"\n  [titleHtml]=\"template.dialogTitleHtml\"\n  [classNameForm]=\"element.root.template.className\"\n  [classNameModal]=\"template.className\"\n  [classNameTitle]=\"template.classNameDialogTitle\"\n  [classNameChildren]=\"dialogTemplate?.classNameChildren\"\n  [classNameHeader]=\"dialogTemplate?.classNameHeader\"\n  [classNameFooter]=\"dialogTemplate?.classNameFooter\"\n></bs-dynamic-form-dialog>\n" }]
        }], ctorParameters: () => [{ type: i1.DynamicFormActionService }] });

const bsDynamicFormIconType = {
    type: 'icon',
    component: BsDynamicFormIconComponent,
    libraryName: bsDynamicFormLibrary.name,
};

const bsDynamicFormActionTypes = [bsDynamicFormButtonType, bsDynamicFormIconType];
class BsDynamicFormActionModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormActionModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormActionModule, imports: [DynamicFormActionModule, i1.DynamicFormConfigModule], exports: [DynamicFormConfigModule] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormActionModule, imports: [DynamicFormActionModule, DynamicFormConfigModule.withActions(bsDynamicFormActionTypes), DynamicFormConfigModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormActionModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [DynamicFormActionModule, DynamicFormConfigModule.withActions(bsDynamicFormActionTypes)],
                    exports: [DynamicFormConfigModule],
                }]
        }] });

class BsDynamicFormAccordionComponent extends DynamicFormAccordionBase {
    constructor() {
        super();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormAccordionComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.0.6", type: BsDynamicFormAccordionComponent, isStandalone: true, selector: "bs-dynamic-form-accordion", usesInheritance: true, ngImport: i0, template: "<div class=\"dynamic-form-items dynamic-form-accordion accordion\" [ngClass]=\"template.className\" [hidden]=\"template.hidden\">\n  <div class=\"accordion-item\" [hidden]=\"child.template.hidden\" *ngFor=\"let child of element.children; let index = index\">\n    <div class=\"dynamic-form-item-header accordion-header\" [class.disabled]=\"child.disabled\" (click)=\"toggleItem(index)\">\n      <button class=\"accordion-button\" [class.collapsed]=\"index !== selectedIndex\" type=\"button\">{{ child.label }}</button>\n    </div>\n    <div class=\"dynamic-form-item accordion-body\" *ngIf=\"index === selectedIndex\">\n      <dynamic-form-elements [elements]=\"child.children\"></dynamic-form-elements>\n    </div>\n  </div>\n</div>\n", dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i2.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: DynamicFormElementsComponent, selector: "dynamic-form-elements", inputs: ["elements"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormAccordionComponent, decorators: [{
            type: Component,
            args: [{ standalone: true, selector: 'bs-dynamic-form-accordion', imports: [CommonModule, DynamicFormElementsComponent], template: "<div class=\"dynamic-form-items dynamic-form-accordion accordion\" [ngClass]=\"template.className\" [hidden]=\"template.hidden\">\n  <div class=\"accordion-item\" [hidden]=\"child.template.hidden\" *ngFor=\"let child of element.children; let index = index\">\n    <div class=\"dynamic-form-item-header accordion-header\" [class.disabled]=\"child.disabled\" (click)=\"toggleItem(index)\">\n      <button class=\"accordion-button\" [class.collapsed]=\"index !== selectedIndex\" type=\"button\">{{ child.label }}</button>\n    </div>\n    <div class=\"dynamic-form-item accordion-body\" *ngIf=\"index === selectedIndex\">\n      <dynamic-form-elements [elements]=\"child.children\"></dynamic-form-elements>\n    </div>\n  </div>\n</div>\n" }]
        }], ctorParameters: () => [] });

const bsDynamicFormAccordionType = {
    type: 'accordion',
    factory: dynamicFormItemsFactory,
    component: BsDynamicFormAccordionComponent,
    libraryName: bsDynamicFormLibrary.name,
};
class BsDynamicFormAccordionModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormAccordionModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormAccordionModule, imports: [i1.DynamicFormConfigModule], exports: [DynamicFormConfigModule] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormAccordionModule, imports: [DynamicFormConfigModule.withElement(bsDynamicFormAccordionType), DynamicFormConfigModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormAccordionModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [DynamicFormConfigModule.withElement(bsDynamicFormAccordionType)],
                    exports: [DynamicFormConfigModule],
                }]
        }] });

class BsDynamicFormTabsComponent extends DynamicFormTabsBase {
    constructor() {
        super();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormTabsComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.0.6", type: BsDynamicFormTabsComponent, isStandalone: true, selector: "bs-dynamic-form-tabs", usesInheritance: true, ngImport: i0, template: "<div class=\"dynamic-form-items dynamic-form-tabs\" [ngClass]=\"template.className\" [hidden]=\"template.hidden\">\n  <ul class=\"nav nav-tabs\">\n    <li class=\"nav-item\" [hidden]=\"template.hidden\" *ngFor=\"let child of element.children; let index = index\">\n      <button\n        type=\"button\"\n        class=\"dynamic-form-item-header nav-link\"\n        [class.active]=\"index === selectedIndex\"\n        [class.disabled]=\"child.disabled\"\n        (click)=\"selectItem(index)\"\n        >{{ child.label }}</button\n      >\n    </li>\n  </ul>\n  <div class=\"tab-content\">\n    <div class=\"dynamic-form-item tab-pane active\" [hidden]=\"template.hidden\" *ngIf=\"selectedItem\">\n      <dynamic-form-elements [elements]=\"selectedItem.children\"></dynamic-form-elements>\n    </div>\n  </div>\n</div>\n", dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i2.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: DynamicFormElementsComponent, selector: "dynamic-form-elements", inputs: ["elements"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormTabsComponent, decorators: [{
            type: Component,
            args: [{ standalone: true, selector: 'bs-dynamic-form-tabs', imports: [CommonModule, DynamicFormElementsComponent], template: "<div class=\"dynamic-form-items dynamic-form-tabs\" [ngClass]=\"template.className\" [hidden]=\"template.hidden\">\n  <ul class=\"nav nav-tabs\">\n    <li class=\"nav-item\" [hidden]=\"template.hidden\" *ngFor=\"let child of element.children; let index = index\">\n      <button\n        type=\"button\"\n        class=\"dynamic-form-item-header nav-link\"\n        [class.active]=\"index === selectedIndex\"\n        [class.disabled]=\"child.disabled\"\n        (click)=\"selectItem(index)\"\n        >{{ child.label }}</button\n      >\n    </li>\n  </ul>\n  <div class=\"tab-content\">\n    <div class=\"dynamic-form-item tab-pane active\" [hidden]=\"template.hidden\" *ngIf=\"selectedItem\">\n      <dynamic-form-elements [elements]=\"selectedItem.children\"></dynamic-form-elements>\n    </div>\n  </div>\n</div>\n" }]
        }], ctorParameters: () => [] });

const bsDynamicFormTabsType = {
    type: 'tabs',
    factory: dynamicFormItemsFactory,
    component: BsDynamicFormTabsComponent,
    libraryName: bsDynamicFormLibrary.name,
};
class BsDynamicFormTabsModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormTabsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormTabsModule, imports: [i1.DynamicFormConfigModule], exports: [DynamicFormConfigModule] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormTabsModule, imports: [DynamicFormConfigModule.withElement(bsDynamicFormTabsType), DynamicFormConfigModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormTabsModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [DynamicFormConfigModule.withElement(bsDynamicFormTabsType)],
                    exports: [DynamicFormConfigModule],
                }]
        }] });

class BsDynamicFormItemsModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormItemsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormItemsModule, imports: [BsDynamicFormAccordionModule, BsDynamicFormTabsModule] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormItemsModule, imports: [BsDynamicFormAccordionModule, BsDynamicFormTabsModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormItemsModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [BsDynamicFormAccordionModule, BsDynamicFormTabsModule],
                }]
        }] });

class BsDynamicFormModalComponent extends DynamicFormModalBase {
    constructor() {
        super();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormModalComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.0.6", type: BsDynamicFormModalComponent, isStandalone: true, selector: "bs-dynamic-form-modal", usesInheritance: true, ngImport: i0, template: "<dynamic-form-element *ngIf=\"trigger\" [element]=\"trigger\"></dynamic-form-element>\n\n<bs-dynamic-form-dialog\n  [isOpen$]=\"isOpen$\"\n  [children]=\"children\"\n  [headerActions]=\"headerActions\"\n  [footerActions]=\"footerActions\"\n  [width]=\"template.width\"\n  [height]=\"template.height\"\n  [minWidth]=\"template.minWidth\"\n  [minHeight]=\"template.minHeight\"\n  [maxWidth]=\"template.maxWidth\"\n  [maxHeight]=\"template.maxHeight\"\n  [maximized]=\"template.maximized\"\n  [title]=\"template.title\"\n  [titleHtml]=\"template.titleHtml\"\n  [classNameForm]=\"element.root.template.className\"\n  [classNameModal]=\"template.className\"\n  [classNameTitle]=\"template.classNameTitle\"\n  [classNameChildren]=\"template.classNameChildren\"\n  [classNameHeader]=\"template.classNameHeader\"\n  [classNameFooter]=\"template.classNameFooter\"\n></bs-dynamic-form-dialog>\n", dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: DynamicFormElementComponent, selector: "dynamic-form-element" }, { kind: "component", type: BsDynamicFormDialogComponent, selector: "bs-dynamic-form-dialog", inputs: ["isOpen$", "children", "headerActions", "footerActions", "width", "height", "minWidth", "minHeight", "maxWidth", "maxHeight", "maximized", "title", "titleHtml", "classNameForm", "classNameModal", "classNameChildren", "classNameHeader", "classNameFooter", "classNameTitle"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormModalComponent, decorators: [{
            type: Component,
            args: [{ standalone: true, selector: 'bs-dynamic-form-modal', imports: [CommonModule, DynamicFormElementComponent, BsDynamicFormDialogComponent], template: "<dynamic-form-element *ngIf=\"trigger\" [element]=\"trigger\"></dynamic-form-element>\n\n<bs-dynamic-form-dialog\n  [isOpen$]=\"isOpen$\"\n  [children]=\"children\"\n  [headerActions]=\"headerActions\"\n  [footerActions]=\"footerActions\"\n  [width]=\"template.width\"\n  [height]=\"template.height\"\n  [minWidth]=\"template.minWidth\"\n  [minHeight]=\"template.minHeight\"\n  [maxWidth]=\"template.maxWidth\"\n  [maxHeight]=\"template.maxHeight\"\n  [maximized]=\"template.maximized\"\n  [title]=\"template.title\"\n  [titleHtml]=\"template.titleHtml\"\n  [classNameForm]=\"element.root.template.className\"\n  [classNameModal]=\"template.className\"\n  [classNameTitle]=\"template.classNameTitle\"\n  [classNameChildren]=\"template.classNameChildren\"\n  [classNameHeader]=\"template.classNameHeader\"\n  [classNameFooter]=\"template.classNameFooter\"\n></bs-dynamic-form-dialog>\n" }]
        }], ctorParameters: () => [] });

const bsDynamicFormModalType = {
    type: 'modal',
    factory: dynamicFormModalFactory,
    component: BsDynamicFormModalComponent,
    libraryName: bsDynamicFormLibrary.name,
};
class BsDynamicFormModalModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormModalModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormModalModule, imports: [DynamicFormModalModule, i1.DynamicFormConfigModule], exports: [DynamicFormConfigModule] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormModalModule, imports: [DynamicFormModalModule, DynamicFormConfigModule.withElement(bsDynamicFormModalType), DynamicFormConfigModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormModalModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [DynamicFormModalModule, DynamicFormConfigModule.withElement(bsDynamicFormModalType)],
                    exports: [DynamicFormConfigModule],
                }]
        }] });

class BsDynamicFormElementModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormElementModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormElementModule, imports: [BsDynamicFormItemsModule, BsDynamicFormModalModule] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormElementModule, imports: [BsDynamicFormItemsModule, BsDynamicFormModalModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormElementModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [BsDynamicFormItemsModule, BsDynamicFormModalModule],
                }]
        }] });

class BsDynamicFormControlErrorsComponent extends DynamicFormControlWrapperBase {
    constructor(containerRef, validationService) {
        super(containerRef, validationService);
        this.containerRef = containerRef;
        this.validationService = validationService;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormControlErrorsComponent, deps: [{ token: i0.ViewContainerRef }, { token: i1.DynamicFormValidationService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.0.6", type: BsDynamicFormControlErrorsComponent, isStandalone: true, selector: "bs-dynamic-form-control-errors", usesInheritance: true, ngImport: i0, template: "<ng-template #container></ng-template>\n<div *ngIf=\"showErrors\" class=\"dynamic-form-field-errors invalid-feedback\">{{ errorMessage }}</div>\n", dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormControlErrorsComponent, decorators: [{
            type: Component,
            args: [{ standalone: true, selector: 'bs-dynamic-form-control-errors', imports: [CommonModule], template: "<ng-template #container></ng-template>\n<div *ngIf=\"showErrors\" class=\"dynamic-form-field-errors invalid-feedback\">{{ errorMessage }}</div>\n" }]
        }], ctorParameters: () => [{ type: i0.ViewContainerRef }, { type: i1.DynamicFormValidationService }] });

const bsDynamicFormControlErrorsType = {
    type: 'errors',
    component: BsDynamicFormControlErrorsComponent,
    libraryName: bsDynamicFormLibrary.name,
};
class BsDynamicFormControlErrorsModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormControlErrorsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormControlErrorsModule, imports: [i1.DynamicFormConfigModule], exports: [DynamicFormConfigModule] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormControlErrorsModule, imports: [DynamicFormConfigModule.withFieldWrapper(bsDynamicFormControlErrorsType), DynamicFormConfigModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormControlErrorsModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [DynamicFormConfigModule.withFieldWrapper(bsDynamicFormControlErrorsType)],
                    exports: [DynamicFormConfigModule],
                }]
        }] });

class BsDynamicFormControlHintsComponent extends DynamicFormControlWrapperBase {
    constructor(containerRef, validationService) {
        super(containerRef, validationService);
        this.containerRef = containerRef;
        this.validationService = validationService;
    }
    get hints() {
        return this.field.template.hints;
    }
    get hasHints() {
        return !!(this.hints?.hintStart || this.hints?.hintEnd);
    }
    get showHints() {
        return this.hasHints && !this.showErrors;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormControlHintsComponent, deps: [{ token: i0.ViewContainerRef }, { token: i1.DynamicFormValidationService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.0.6", type: BsDynamicFormControlHintsComponent, isStandalone: true, selector: "bs-dynamic-form-control-hints", usesInheritance: true, ngImport: i0, template: "<ng-template #container></ng-template>\n<small *ngIf=\"showHints\" class=\"dynamic-form-field-hints form-text text-muted\">\n  <span class=\"hint-start\" *ngIf=\"hints.hintStart\">{{ hints?.hintStart }}</span>\n  <span class=\"hint-spacer\"></span>\n  <span class=\"hint-end\" *ngIf=\"hints.hintEnd\">{{ hints?.hintEnd }}</span>\n</small>\n", dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormControlHintsComponent, decorators: [{
            type: Component,
            args: [{ standalone: true, selector: 'bs-dynamic-form-control-hints', imports: [CommonModule], template: "<ng-template #container></ng-template>\n<small *ngIf=\"showHints\" class=\"dynamic-form-field-hints form-text text-muted\">\n  <span class=\"hint-start\" *ngIf=\"hints.hintStart\">{{ hints?.hintStart }}</span>\n  <span class=\"hint-spacer\"></span>\n  <span class=\"hint-end\" *ngIf=\"hints.hintEnd\">{{ hints?.hintEnd }}</span>\n</small>\n" }]
        }], ctorParameters: () => [{ type: i0.ViewContainerRef }, { type: i1.DynamicFormValidationService }] });

const bsDynamicFormControlHintsType = {
    type: 'hints',
    component: BsDynamicFormControlHintsComponent,
    libraryName: bsDynamicFormLibrary.name,
};
class BsDynamicFormControlHintsModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormControlHintsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormControlHintsModule, imports: [i1.DynamicFormConfigModule], exports: [DynamicFormConfigModule] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormControlHintsModule, imports: [DynamicFormConfigModule.withFieldWrapper(bsDynamicFormControlHintsType), DynamicFormConfigModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormControlHintsModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [DynamicFormConfigModule.withFieldWrapper(bsDynamicFormControlHintsType)],
                    exports: [DynamicFormConfigModule],
                }]
        }] });

class BsDynamicFormControlLabelComponent extends DynamicFormControlWrapperBase {
    constructor(containerRef, validationService) {
        super(containerRef, validationService);
        this.containerRef = containerRef;
        this.validationService = validationService;
    }
    get inputId() {
        return this.field.inputId;
    }
    get validation() {
        return this.field.template.validation;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormControlLabelComponent, deps: [{ token: i0.ViewContainerRef }, { token: i1.DynamicFormValidationService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.0.6", type: BsDynamicFormControlLabelComponent, isStandalone: true, selector: "bs-dynamic-form-control-label", usesInheritance: true, ngImport: i0, template: "<label *ngIf=\"template.label\" class=\"form-label\" [for]=\"inputId\">{{ template.label }}<span *ngIf=\"validation?.required\"> *</span></label>\n<ng-template #container></ng-template>\n", dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormControlLabelComponent, decorators: [{
            type: Component,
            args: [{ standalone: true, selector: 'bs-dynamic-form-control-label', imports: [CommonModule], template: "<label *ngIf=\"template.label\" class=\"form-label\" [for]=\"inputId\">{{ template.label }}<span *ngIf=\"validation?.required\"> *</span></label>\n<ng-template #container></ng-template>\n" }]
        }], ctorParameters: () => [{ type: i0.ViewContainerRef }, { type: i1.DynamicFormValidationService }] });

const bsDynamicFormControlLabelType = {
    type: 'label',
    component: BsDynamicFormControlLabelComponent,
    libraryName: bsDynamicFormLibrary.name,
};
class BsDynamicFormControlLabelModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormControlLabelModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormControlLabelModule, imports: [CommonModule, i1.DynamicFormConfigModule], exports: [DynamicFormConfigModule] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormControlLabelModule, imports: [CommonModule, DynamicFormConfigModule.withFieldWrapper(bsDynamicFormControlLabelType), DynamicFormConfigModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormControlLabelModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, DynamicFormConfigModule.withFieldWrapper(bsDynamicFormControlLabelType)],
                    exports: [DynamicFormConfigModule],
                }]
        }] });

class BsDynamicFormFieldWrapperModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormFieldWrapperModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormFieldWrapperModule, imports: [CommonModule, BsDynamicFormControlErrorsModule, BsDynamicFormControlLabelModule, BsDynamicFormControlHintsModule] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormFieldWrapperModule, imports: [CommonModule, BsDynamicFormControlErrorsModule, BsDynamicFormControlLabelModule, BsDynamicFormControlHintsModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormFieldWrapperModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, BsDynamicFormControlErrorsModule, BsDynamicFormControlLabelModule, BsDynamicFormControlHintsModule],
                }]
        }] });

class BsDynamicFormCheckboxComponent extends DynamicFormInputBase {
    constructor(validationService) {
        super(validationService);
        this.validationService = validationService;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormCheckboxComponent, deps: [{ token: i1.DynamicFormValidationService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.0.6", type: BsDynamicFormCheckboxComponent, isStandalone: true, selector: "bs-dynamic-form-checkbox", usesInheritance: true, ngImport: i0, template: "<div class=\"form-check\">\n  <input\n    [id]=\"inputId\"\n    class=\"form-check-input\"\n    type=\"checkbox\"\n    [readonly]=\"readonly\"\n    [required]=\"validation?.required\"\n    [indeterminate]=\"input?.indeterminate\"\n    [formControl]=\"control\"\n  />\n  <label [for]=\"inputId\" class=\"form-check-label\">{{ template.label }}<span *ngIf=\"validation?.required\"> *</span></label>\n</div>\n", dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i3.CheckboxControlValueAccessor, selector: "input[type=checkbox][formControlName],input[type=checkbox][formControl],input[type=checkbox][ngModel]" }, { kind: "directive", type: i3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i3.CheckboxRequiredValidator, selector: "input[type=checkbox][required][formControlName],input[type=checkbox][required][formControl],input[type=checkbox][required][ngModel]" }, { kind: "directive", type: i3.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormCheckboxComponent, decorators: [{
            type: Component,
            args: [{ standalone: true, selector: 'bs-dynamic-form-checkbox', imports: [CommonModule, ReactiveFormsModule], template: "<div class=\"form-check\">\n  <input\n    [id]=\"inputId\"\n    class=\"form-check-input\"\n    type=\"checkbox\"\n    [readonly]=\"readonly\"\n    [required]=\"validation?.required\"\n    [indeterminate]=\"input?.indeterminate\"\n    [formControl]=\"control\"\n  />\n  <label [for]=\"inputId\" class=\"form-check-label\">{{ template.label }}<span *ngIf=\"validation?.required\"> *</span></label>\n</div>\n" }]
        }], ctorParameters: () => [{ type: i1.DynamicFormValidationService }] });

const bsDynamicFormCheckboxType = {
    type: 'checkbox',
    component: BsDynamicFormCheckboxComponent,
    wrappers: ['errors'],
    libraryName: bsDynamicFormLibrary.name,
};

class BsDynamicFormInputWrapperComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormInputWrapperComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.0.6", type: BsDynamicFormInputWrapperComponent, isStandalone: true, selector: "bs-dynamic-form-input-wrapper", inputs: { inputTemplate: "inputTemplate", inputId: "inputId", label: "label", labelFloating: "labelFloating", requiredMarker: "requiredMarker", inputAddOn: "inputAddOn", prefixAddOn: "prefixAddOn", suffixAddOn: "suffixAddOn" }, ngImport: i0, template: "<ng-container *ngIf=\"labelFloating; else noLabelFloating\">\n  <div class=\"input-group floating\" *ngIf=\"inputAddOn || prefixAddOn || suffixAddOn; else noAddOns\">\n    <dynamic-form-element\n      *ngIf=\"prefixAddOn && !prefixAddOn.hidden\"\n      class=\"dynamic-form-add-on prefix\"\n      [element]=\"prefixAddOn\"\n      [class.input-group-text]=\"prefixAddOn.classType === 'element'\"\n    ></dynamic-form-element>\n    <div class=\"form-floating\">\n      <ng-container *ngTemplateOutlet=\"inputTemplate\"></ng-container>\n      <label *ngIf=\"label\" class=\"form-label\" [for]=\"inputId\">{{ label }}<span *ngIf=\"requiredMarker\"> *</span></label>\n    </div>\n    <dynamic-form-element\n      *ngIf=\"inputAddOn && !inputAddOn.hidden\"\n      class=\"dynamic-form-add-on suffix\"\n      [element]=\"inputAddOn\"\n      [class.input-group-text]=\"inputAddOn.classType === 'element'\"\n    ></dynamic-form-element>\n    <dynamic-form-element\n      *ngIf=\"suffixAddOn && !suffixAddOn.hidden\"\n      class=\"dynamic-form-add-on suffix\"\n      [element]=\"suffixAddOn\"\n      [class.input-group-text]=\"suffixAddOn.classType === 'element'\"\n    ></dynamic-form-element>\n  </div>\n  <ng-template #noAddOns>\n    <div class=\"form-floating\">\n      <ng-container *ngTemplateOutlet=\"inputTemplate\"></ng-container>\n      <label *ngIf=\"label\" class=\"form-label\" [for]=\"inputId\">{{ label }}<span *ngIf=\"requiredMarker\"> *</span></label>\n    </div>\n  </ng-template>\n</ng-container>\n\n<ng-template #noLabelFloating>\n  <label *ngIf=\"label\" class=\"form-label\" [for]=\"inputId\">{{ label }}<span *ngIf=\"requiredMarker\"> *</span></label>\n  <div class=\"input-group\" *ngIf=\"inputAddOn || prefixAddOn || suffixAddOn; else noAddOns\">\n    <dynamic-form-element\n      *ngIf=\"prefixAddOn && !prefixAddOn.hidden\"\n      class=\"dynamic-form-add-on prefix\"\n      [element]=\"prefixAddOn\"\n      [class.input-group-text]=\"prefixAddOn.classType === 'element'\"\n    ></dynamic-form-element>\n    <ng-container *ngTemplateOutlet=\"inputTemplate\"></ng-container>\n    <dynamic-form-element\n      *ngIf=\"inputAddOn && !inputAddOn.hidden\"\n      class=\"dynamic-form-add-on suffix\"\n      [element]=\"inputAddOn\"\n      [class.input-group-text]=\"inputAddOn.classType === 'element'\"\n    ></dynamic-form-element>\n    <dynamic-form-element\n      *ngIf=\"suffixAddOn && !suffixAddOn.hidden\"\n      class=\"dynamic-form-add-on suffix\"\n      [element]=\"suffixAddOn\"\n      [class.input-group-text]=\"suffixAddOn.classType === 'element'\"\n    ></dynamic-form-element>\n  </div>\n  <ng-template #noAddOns>\n    <ng-container *ngTemplateOutlet=\"inputTemplate\"></ng-container>\n  </ng-template>\n</ng-template>\n", dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: DynamicFormElementComponent, selector: "dynamic-form-element" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormInputWrapperComponent, decorators: [{
            type: Component,
            args: [{ standalone: true, selector: 'bs-dynamic-form-input-wrapper', imports: [CommonModule, DynamicFormElementComponent], template: "<ng-container *ngIf=\"labelFloating; else noLabelFloating\">\n  <div class=\"input-group floating\" *ngIf=\"inputAddOn || prefixAddOn || suffixAddOn; else noAddOns\">\n    <dynamic-form-element\n      *ngIf=\"prefixAddOn && !prefixAddOn.hidden\"\n      class=\"dynamic-form-add-on prefix\"\n      [element]=\"prefixAddOn\"\n      [class.input-group-text]=\"prefixAddOn.classType === 'element'\"\n    ></dynamic-form-element>\n    <div class=\"form-floating\">\n      <ng-container *ngTemplateOutlet=\"inputTemplate\"></ng-container>\n      <label *ngIf=\"label\" class=\"form-label\" [for]=\"inputId\">{{ label }}<span *ngIf=\"requiredMarker\"> *</span></label>\n    </div>\n    <dynamic-form-element\n      *ngIf=\"inputAddOn && !inputAddOn.hidden\"\n      class=\"dynamic-form-add-on suffix\"\n      [element]=\"inputAddOn\"\n      [class.input-group-text]=\"inputAddOn.classType === 'element'\"\n    ></dynamic-form-element>\n    <dynamic-form-element\n      *ngIf=\"suffixAddOn && !suffixAddOn.hidden\"\n      class=\"dynamic-form-add-on suffix\"\n      [element]=\"suffixAddOn\"\n      [class.input-group-text]=\"suffixAddOn.classType === 'element'\"\n    ></dynamic-form-element>\n  </div>\n  <ng-template #noAddOns>\n    <div class=\"form-floating\">\n      <ng-container *ngTemplateOutlet=\"inputTemplate\"></ng-container>\n      <label *ngIf=\"label\" class=\"form-label\" [for]=\"inputId\">{{ label }}<span *ngIf=\"requiredMarker\"> *</span></label>\n    </div>\n  </ng-template>\n</ng-container>\n\n<ng-template #noLabelFloating>\n  <label *ngIf=\"label\" class=\"form-label\" [for]=\"inputId\">{{ label }}<span *ngIf=\"requiredMarker\"> *</span></label>\n  <div class=\"input-group\" *ngIf=\"inputAddOn || prefixAddOn || suffixAddOn; else noAddOns\">\n    <dynamic-form-element\n      *ngIf=\"prefixAddOn && !prefixAddOn.hidden\"\n      class=\"dynamic-form-add-on prefix\"\n      [element]=\"prefixAddOn\"\n      [class.input-group-text]=\"prefixAddOn.classType === 'element'\"\n    ></dynamic-form-element>\n    <ng-container *ngTemplateOutlet=\"inputTemplate\"></ng-container>\n    <dynamic-form-element\n      *ngIf=\"inputAddOn && !inputAddOn.hidden\"\n      class=\"dynamic-form-add-on suffix\"\n      [element]=\"inputAddOn\"\n      [class.input-group-text]=\"inputAddOn.classType === 'element'\"\n    ></dynamic-form-element>\n    <dynamic-form-element\n      *ngIf=\"suffixAddOn && !suffixAddOn.hidden\"\n      class=\"dynamic-form-add-on suffix\"\n      [element]=\"suffixAddOn\"\n      [class.input-group-text]=\"suffixAddOn.classType === 'element'\"\n    ></dynamic-form-element>\n  </div>\n  <ng-template #noAddOns>\n    <ng-container *ngTemplateOutlet=\"inputTemplate\"></ng-container>\n  </ng-template>\n</ng-template>\n" }]
        }], propDecorators: { inputTemplate: [{
                type: Input
            }], inputId: [{
                type: Input
            }], label: [{
                type: Input
            }], labelFloating: [{
                type: Input
            }], requiredMarker: [{
                type: Input
            }], inputAddOn: [{
                type: Input
            }], prefixAddOn: [{
                type: Input
            }], suffixAddOn: [{
                type: Input
            }] } });

class BsDynamicFormComboboxComponent extends DynamicFormInputBase {
    constructor(validationService) {
        super(validationService);
        this.validationService = validationService;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormComboboxComponent, deps: [{ token: i1.DynamicFormValidationService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.0.6", type: BsDynamicFormComboboxComponent, isStandalone: true, selector: "bs-dynamic-form-combobox", usesInheritance: true, ngImport: i0, template: "<bs-dynamic-form-input-wrapper\n  [inputTemplate]=\"inputTemplate\"\n  [inputId]=\"inputId\"\n  [label]=\"template.label\"\n  [labelFloating]=\"template.labelFloating\"\n  [requiredMarker]=\"validation?.required\"\n  [prefixAddOn]=\"prefixAddOn\"\n  [suffixAddOn]=\"suffixAddOn\"\n></bs-dynamic-form-input-wrapper>\n\n<ng-template #inputTemplate>\n  <input\n    [id]=\"inputId\"\n    class=\"form-control\"\n    type=\"text\"\n    list=\"list\"\n    [placeholder]=\"input.placeholder || ''\"\n    [pattern]=\"input.pattern\"\n    [readonly]=\"readonly\"\n    [required]=\"validation?.required\"\n    [formControl]=\"control\"\n    autocomplete=\"off\"\n  />\n  <datalist id=\"list\">\n    <option *ngFor=\"let option of input.options\" [value]=\"option\">{{ option }}</option>\n  </datalist>\n</ng-template>\n", dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i3.NgSelectOption, selector: "option", inputs: ["ngValue", "value"] }, { kind: "directive", type: i3.ɵNgSelectMultipleOption, selector: "option", inputs: ["ngValue", "value"] }, { kind: "directive", type: i3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i3.RequiredValidator, selector: ":not([type=checkbox])[required][formControlName],:not([type=checkbox])[required][formControl],:not([type=checkbox])[required][ngModel]", inputs: ["required"] }, { kind: "directive", type: i3.PatternValidator, selector: "[pattern][formControlName],[pattern][formControl],[pattern][ngModel]", inputs: ["pattern"] }, { kind: "directive", type: i3.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "component", type: BsDynamicFormInputWrapperComponent, selector: "bs-dynamic-form-input-wrapper", inputs: ["inputTemplate", "inputId", "label", "labelFloating", "requiredMarker", "inputAddOn", "prefixAddOn", "suffixAddOn"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormComboboxComponent, decorators: [{
            type: Component,
            args: [{ standalone: true, selector: 'bs-dynamic-form-combobox', imports: [CommonModule, ReactiveFormsModule, BsDynamicFormInputWrapperComponent], template: "<bs-dynamic-form-input-wrapper\n  [inputTemplate]=\"inputTemplate\"\n  [inputId]=\"inputId\"\n  [label]=\"template.label\"\n  [labelFloating]=\"template.labelFloating\"\n  [requiredMarker]=\"validation?.required\"\n  [prefixAddOn]=\"prefixAddOn\"\n  [suffixAddOn]=\"suffixAddOn\"\n></bs-dynamic-form-input-wrapper>\n\n<ng-template #inputTemplate>\n  <input\n    [id]=\"inputId\"\n    class=\"form-control\"\n    type=\"text\"\n    list=\"list\"\n    [placeholder]=\"input.placeholder || ''\"\n    [pattern]=\"input.pattern\"\n    [readonly]=\"readonly\"\n    [required]=\"validation?.required\"\n    [formControl]=\"control\"\n    autocomplete=\"off\"\n  />\n  <datalist id=\"list\">\n    <option *ngFor=\"let option of input.options\" [value]=\"option\">{{ option }}</option>\n  </datalist>\n</ng-template>\n" }]
        }], ctorParameters: () => [{ type: i1.DynamicFormValidationService }] });

const bsDynamicFormComboboxType = {
    type: 'combobox',
    component: BsDynamicFormComboboxComponent,
    wrappers: ['hints', 'errors'],
    libraryName: bsDynamicFormLibrary.name,
};

class BsDynamicFormDatepickerComponent extends DynamicFormInputBase {
    constructor(validationService) {
        super(validationService);
        this.validationService = validationService;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormDatepickerComponent, deps: [{ token: i1.DynamicFormValidationService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.0.6", type: BsDynamicFormDatepickerComponent, isStandalone: true, selector: "bs-dynamic-form-datepicker", usesInheritance: true, ngImport: i0, template: "<bs-dynamic-form-input-wrapper\n  [inputTemplate]=\"inputTemplate\"\n  [inputId]=\"inputId\"\n  [label]=\"template.label\"\n  [labelFloating]=\"template.labelFloating\"\n  [requiredMarker]=\"validation?.required\"\n  [prefixAddOn]=\"prefixAddOn\"\n  [suffixAddOn]=\"suffixAddOn\"\n></bs-dynamic-form-input-wrapper>\n\n<ng-template #inputTemplate>\n  <input\n    [id]=\"inputId\"\n    class=\"form-control\"\n    type=\"date\"\n    [placeholder]=\"input.placeholder\"\n    [min]=\"input.min\"\n    [max]=\"input.max\"\n    [readonly]=\"readonly\"\n    [required]=\"validation?.required\"\n    [formControl]=\"control\"\n  />\n</ng-template>\n", dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i3.RequiredValidator, selector: ":not([type=checkbox])[required][formControlName],:not([type=checkbox])[required][formControl],:not([type=checkbox])[required][ngModel]", inputs: ["required"] }, { kind: "directive", type: i3.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "component", type: BsDynamicFormInputWrapperComponent, selector: "bs-dynamic-form-input-wrapper", inputs: ["inputTemplate", "inputId", "label", "labelFloating", "requiredMarker", "inputAddOn", "prefixAddOn", "suffixAddOn"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormDatepickerComponent, decorators: [{
            type: Component,
            args: [{ standalone: true, selector: 'bs-dynamic-form-datepicker', imports: [CommonModule, ReactiveFormsModule, BsDynamicFormInputWrapperComponent], template: "<bs-dynamic-form-input-wrapper\n  [inputTemplate]=\"inputTemplate\"\n  [inputId]=\"inputId\"\n  [label]=\"template.label\"\n  [labelFloating]=\"template.labelFloating\"\n  [requiredMarker]=\"validation?.required\"\n  [prefixAddOn]=\"prefixAddOn\"\n  [suffixAddOn]=\"suffixAddOn\"\n></bs-dynamic-form-input-wrapper>\n\n<ng-template #inputTemplate>\n  <input\n    [id]=\"inputId\"\n    class=\"form-control\"\n    type=\"date\"\n    [placeholder]=\"input.placeholder\"\n    [min]=\"input.min\"\n    [max]=\"input.max\"\n    [readonly]=\"readonly\"\n    [required]=\"validation?.required\"\n    [formControl]=\"control\"\n  />\n</ng-template>\n" }]
        }], ctorParameters: () => [{ type: i1.DynamicFormValidationService }] });

const bsDynamicFormDatepickerType = {
    type: 'datepicker',
    component: BsDynamicFormDatepickerComponent,
    wrappers: ['hints', 'errors'],
    libraryName: bsDynamicFormLibrary.name,
};

class BsDynamicFormFileComponent extends DynamicFormFileBase {
    constructor(builder, validationService) {
        super(builder, validationService);
        this.builder = builder;
        this.validationService = validationService;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormFileComponent, deps: [{ token: i1.DynamicFormBuilder }, { token: i1.DynamicFormValidationService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.0.6", type: BsDynamicFormFileComponent, isStandalone: true, selector: "bs-dynamic-form-file", usesInheritance: true, ngImport: i0, template: "<bs-dynamic-form-input-wrapper\n  #wrapper\n  [inputTemplate]=\"inputTemplate\"\n  [inputId]=\"inputId\"\n  [label]=\"template.label\"\n  [labelFloating]=\"template.labelFloating\"\n  [requiredMarker]=\"validation?.required\"\n  [inputAddOn]=\"uploadAction\"\n  [prefixAddOn]=\"prefixAddOn\"\n  [suffixAddOn]=\"suffixAddOn\"\n></bs-dynamic-form-input-wrapper>\n\n<ng-template #inputTemplate>\n  <input\n    [id]=\"inputId\"\n    class=\"form-control\"\n    type=\"text\"\n    [placeholder]=\"input.placeholder || ''\"\n    [value]=\"fileDirective.fileNamesAsText || ''\"\n    [disabled]=\"control.disabled\"\n    (blur)=\"control.markAsTouched()\"\n    readonly\n  />\n  <input\n    #fileDirective=\"dynamicFormFile\"\n    dynamicFormFile\n    [acceptFiles]=\"input.accept\"\n    [multipleFiles]=\"input.multiple\"\n    [formControl]=\"control\"\n  />\n</ng-template>\n", dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i3.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: DynamicFormFileDirective, selector: "[dynamicFormFile]", inputs: ["acceptFiles", "multipleFiles"], exportAs: ["dynamicFormFile"] }, { kind: "component", type: BsDynamicFormInputWrapperComponent, selector: "bs-dynamic-form-input-wrapper", inputs: ["inputTemplate", "inputId", "label", "labelFloating", "requiredMarker", "inputAddOn", "prefixAddOn", "suffixAddOn"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormFileComponent, decorators: [{
            type: Component,
            args: [{ standalone: true, selector: 'bs-dynamic-form-file', imports: [CommonModule, ReactiveFormsModule, DynamicFormFileDirective, BsDynamicFormInputWrapperComponent], template: "<bs-dynamic-form-input-wrapper\n  #wrapper\n  [inputTemplate]=\"inputTemplate\"\n  [inputId]=\"inputId\"\n  [label]=\"template.label\"\n  [labelFloating]=\"template.labelFloating\"\n  [requiredMarker]=\"validation?.required\"\n  [inputAddOn]=\"uploadAction\"\n  [prefixAddOn]=\"prefixAddOn\"\n  [suffixAddOn]=\"suffixAddOn\"\n></bs-dynamic-form-input-wrapper>\n\n<ng-template #inputTemplate>\n  <input\n    [id]=\"inputId\"\n    class=\"form-control\"\n    type=\"text\"\n    [placeholder]=\"input.placeholder || ''\"\n    [value]=\"fileDirective.fileNamesAsText || ''\"\n    [disabled]=\"control.disabled\"\n    (blur)=\"control.markAsTouched()\"\n    readonly\n  />\n  <input\n    #fileDirective=\"dynamicFormFile\"\n    dynamicFormFile\n    [acceptFiles]=\"input.accept\"\n    [multipleFiles]=\"input.multiple\"\n    [formControl]=\"control\"\n  />\n</ng-template>\n" }]
        }], ctorParameters: () => [{ type: i1.DynamicFormBuilder }, { type: i1.DynamicFormValidationService }] });

const bsDynamicFormFileType = {
    type: 'file',
    component: BsDynamicFormFileComponent,
    wrappers: ['hints', 'errors'],
    libraryName: bsDynamicFormLibrary.name,
};

class BsDynamicFormNumberboxComponent extends DynamicFormInputBase {
    constructor(validationService) {
        super(validationService);
        this.validationService = validationService;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormNumberboxComponent, deps: [{ token: i1.DynamicFormValidationService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.0.6", type: BsDynamicFormNumberboxComponent, isStandalone: true, selector: "bs-dynamic-form-numberbox", usesInheritance: true, ngImport: i0, template: "<bs-dynamic-form-input-wrapper\n  [inputTemplate]=\"inputTemplate\"\n  [inputId]=\"inputId\"\n  [label]=\"template.label\"\n  [labelFloating]=\"template.labelFloating\"\n  [requiredMarker]=\"validation?.required\"\n  [prefixAddOn]=\"prefixAddOn\"\n  [suffixAddOn]=\"suffixAddOn\"\n></bs-dynamic-form-input-wrapper>\n\n<ng-template #inputTemplate>\n  <input\n    [id]=\"inputId\"\n    class=\"form-control\"\n    type=\"number\"\n    [placeholder]=\"input.placeholder || ''\"\n    [min]=\"input.min\"\n    [max]=\"input.max\"\n    [readonly]=\"readonly\"\n    [required]=\"validation?.required\"\n    [formControl]=\"control\"\n  />\n</ng-template>\n", dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i3.NumberValueAccessor, selector: "input[type=number][formControlName],input[type=number][formControl],input[type=number][ngModel]" }, { kind: "directive", type: i3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i3.RequiredValidator, selector: ":not([type=checkbox])[required][formControlName],:not([type=checkbox])[required][formControl],:not([type=checkbox])[required][ngModel]", inputs: ["required"] }, { kind: "directive", type: i3.MinValidator, selector: "input[type=number][min][formControlName],input[type=number][min][formControl],input[type=number][min][ngModel]", inputs: ["min"] }, { kind: "directive", type: i3.MaxValidator, selector: "input[type=number][max][formControlName],input[type=number][max][formControl],input[type=number][max][ngModel]", inputs: ["max"] }, { kind: "directive", type: i3.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "component", type: BsDynamicFormInputWrapperComponent, selector: "bs-dynamic-form-input-wrapper", inputs: ["inputTemplate", "inputId", "label", "labelFloating", "requiredMarker", "inputAddOn", "prefixAddOn", "suffixAddOn"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormNumberboxComponent, decorators: [{
            type: Component,
            args: [{ standalone: true, selector: 'bs-dynamic-form-numberbox', imports: [CommonModule, ReactiveFormsModule, BsDynamicFormInputWrapperComponent], template: "<bs-dynamic-form-input-wrapper\n  [inputTemplate]=\"inputTemplate\"\n  [inputId]=\"inputId\"\n  [label]=\"template.label\"\n  [labelFloating]=\"template.labelFloating\"\n  [requiredMarker]=\"validation?.required\"\n  [prefixAddOn]=\"prefixAddOn\"\n  [suffixAddOn]=\"suffixAddOn\"\n></bs-dynamic-form-input-wrapper>\n\n<ng-template #inputTemplate>\n  <input\n    [id]=\"inputId\"\n    class=\"form-control\"\n    type=\"number\"\n    [placeholder]=\"input.placeholder || ''\"\n    [min]=\"input.min\"\n    [max]=\"input.max\"\n    [readonly]=\"readonly\"\n    [required]=\"validation?.required\"\n    [formControl]=\"control\"\n  />\n</ng-template>\n" }]
        }], ctorParameters: () => [{ type: i1.DynamicFormValidationService }] });

const bsDynamicFormNumberboxType = {
    type: 'numberbox',
    component: BsDynamicFormNumberboxComponent,
    wrappers: ['hints', 'errors'],
    libraryName: bsDynamicFormLibrary.name,
};

class BsDynamicFormRadioComponent extends DynamicFormInputBase {
    constructor(validationService) {
        super(validationService);
        this.validationService = validationService;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormRadioComponent, deps: [{ token: i1.DynamicFormValidationService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.0.6", type: BsDynamicFormRadioComponent, isStandalone: true, selector: "bs-dynamic-form-radio", usesInheritance: true, ngImport: i0, template: "<ng-container *ngFor=\"let option of input.options; let i = index\">\n  <div class=\"form-check\">\n    <input\n      class=\"form-check-input\"\n      type=\"radio\"\n      [id]=\"inputId + '-' + i\"\n      [name]=\"inputId\"\n      [formControl]=\"control\"\n      [value]=\"option.value\"\n      [attr.disabled]=\"control.disabled || option.disabled\"\n      [readonly]=\"readonly\"\n    />\n    <label class=\"form-check-label\" [for]=\"inputId + '-' + i\">{{ option.label }}</label>\n  </div>\n</ng-container>\n", dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i3.RadioControlValueAccessor, selector: "input[type=radio][formControlName],input[type=radio][formControl],input[type=radio][ngModel]", inputs: ["name", "formControlName", "value"] }, { kind: "directive", type: i3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i3.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormRadioComponent, decorators: [{
            type: Component,
            args: [{ standalone: true, selector: 'bs-dynamic-form-radio', imports: [CommonModule, ReactiveFormsModule], template: "<ng-container *ngFor=\"let option of input.options; let i = index\">\n  <div class=\"form-check\">\n    <input\n      class=\"form-check-input\"\n      type=\"radio\"\n      [id]=\"inputId + '-' + i\"\n      [name]=\"inputId\"\n      [formControl]=\"control\"\n      [value]=\"option.value\"\n      [attr.disabled]=\"control.disabled || option.disabled\"\n      [readonly]=\"readonly\"\n    />\n    <label class=\"form-check-label\" [for]=\"inputId + '-' + i\">{{ option.label }}</label>\n  </div>\n</ng-container>\n" }]
        }], ctorParameters: () => [{ type: i1.DynamicFormValidationService }] });

const bsDynamicFormRadioType = {
    type: 'radio',
    component: BsDynamicFormRadioComponent,
    wrappers: ['label', 'errors'],
    libraryName: bsDynamicFormLibrary.name,
};

class BsDynamicFormSelectComponent extends DynamicFormInputBase {
    constructor(validationService) {
        super(validationService);
        this.validationService = validationService;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormSelectComponent, deps: [{ token: i1.DynamicFormValidationService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.0.6", type: BsDynamicFormSelectComponent, isStandalone: true, selector: "bs-dynamic-form-select", usesInheritance: true, ngImport: i0, template: "<bs-dynamic-form-input-wrapper\n  [inputTemplate]=\"inputTemplate\"\n  [inputId]=\"inputId\"\n  [label]=\"template.label\"\n  [labelFloating]=\"template.labelFloating\"\n  [requiredMarker]=\"validation?.required\"\n  [prefixAddOn]=\"prefixAddOn\"\n  [suffixAddOn]=\"suffixAddOn\"\n></bs-dynamic-form-input-wrapper>\n\n<ng-template #inputTemplate>\n  <ng-container *ngIf=\"!input.multiple; else optionsMultiple\">\n    <select class=\"form-select\" [id]=\"inputId\" [required]=\"validation?.required\" [formControl]=\"control\">\n      <option [value]=\"null\" hidden>{{ input.placeholder }}</option>\n      <ng-container *ngFor=\"let option of input.options\">\n        <ng-container *ngIf=\"!option.items; else optionGroup\">\n          <option [value]=\"option.value\" [disabled]=\"option.disabled\">{{ option.label }}</option>\n        </ng-container>\n        <ng-template #optionGroup>\n          <optgroup [label]=\"option.label\" [disabled]=\"option.disabled\">\n            <option *ngFor=\"let optionItem of option.items\" [value]=\"optionItem.value\" [disabled]=\"optionItem.disabled\">{{\n              optionItem.label\n            }}</option>\n          </optgroup>\n        </ng-template>\n      </ng-container>\n    </select>\n  </ng-container>\n\n  <ng-template #optionsMultiple>\n    <select class=\"form-select\" [id]=\"inputId\" [required]=\"validation?.required\" [formControl]=\"control\" multiple>\n      <ng-container *ngFor=\"let option of input.options\">\n        <ng-container *ngIf=\"!option.items; else optionGroup\">\n          <option [value]=\"option.value\" [disabled]=\"option.disabled\">{{ option.label }}</option>\n        </ng-container>\n        <ng-template #optionGroup>\n          <optgroup [label]=\"option.label\" [disabled]=\"option.disabled\">\n            <option *ngFor=\"let optionItem of option.items\" [value]=\"optionItem.value\" [disabled]=\"optionItem.disabled\">{{\n              optionItem.label\n            }}</option>\n          </optgroup>\n        </ng-template>\n      </ng-container>\n    </select>\n  </ng-template>\n</ng-template>\n", dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i3.NgSelectOption, selector: "option", inputs: ["ngValue", "value"] }, { kind: "directive", type: i3.ɵNgSelectMultipleOption, selector: "option", inputs: ["ngValue", "value"] }, { kind: "directive", type: i3.SelectControlValueAccessor, selector: "select:not([multiple])[formControlName],select:not([multiple])[formControl],select:not([multiple])[ngModel]", inputs: ["compareWith"] }, { kind: "directive", type: i3.SelectMultipleControlValueAccessor, selector: "select[multiple][formControlName],select[multiple][formControl],select[multiple][ngModel]", inputs: ["compareWith"] }, { kind: "directive", type: i3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i3.RequiredValidator, selector: ":not([type=checkbox])[required][formControlName],:not([type=checkbox])[required][formControl],:not([type=checkbox])[required][ngModel]", inputs: ["required"] }, { kind: "directive", type: i3.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "component", type: BsDynamicFormInputWrapperComponent, selector: "bs-dynamic-form-input-wrapper", inputs: ["inputTemplate", "inputId", "label", "labelFloating", "requiredMarker", "inputAddOn", "prefixAddOn", "suffixAddOn"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormSelectComponent, decorators: [{
            type: Component,
            args: [{ standalone: true, selector: 'bs-dynamic-form-select', imports: [CommonModule, ReactiveFormsModule, BsDynamicFormInputWrapperComponent], template: "<bs-dynamic-form-input-wrapper\n  [inputTemplate]=\"inputTemplate\"\n  [inputId]=\"inputId\"\n  [label]=\"template.label\"\n  [labelFloating]=\"template.labelFloating\"\n  [requiredMarker]=\"validation?.required\"\n  [prefixAddOn]=\"prefixAddOn\"\n  [suffixAddOn]=\"suffixAddOn\"\n></bs-dynamic-form-input-wrapper>\n\n<ng-template #inputTemplate>\n  <ng-container *ngIf=\"!input.multiple; else optionsMultiple\">\n    <select class=\"form-select\" [id]=\"inputId\" [required]=\"validation?.required\" [formControl]=\"control\">\n      <option [value]=\"null\" hidden>{{ input.placeholder }}</option>\n      <ng-container *ngFor=\"let option of input.options\">\n        <ng-container *ngIf=\"!option.items; else optionGroup\">\n          <option [value]=\"option.value\" [disabled]=\"option.disabled\">{{ option.label }}</option>\n        </ng-container>\n        <ng-template #optionGroup>\n          <optgroup [label]=\"option.label\" [disabled]=\"option.disabled\">\n            <option *ngFor=\"let optionItem of option.items\" [value]=\"optionItem.value\" [disabled]=\"optionItem.disabled\">{{\n              optionItem.label\n            }}</option>\n          </optgroup>\n        </ng-template>\n      </ng-container>\n    </select>\n  </ng-container>\n\n  <ng-template #optionsMultiple>\n    <select class=\"form-select\" [id]=\"inputId\" [required]=\"validation?.required\" [formControl]=\"control\" multiple>\n      <ng-container *ngFor=\"let option of input.options\">\n        <ng-container *ngIf=\"!option.items; else optionGroup\">\n          <option [value]=\"option.value\" [disabled]=\"option.disabled\">{{ option.label }}</option>\n        </ng-container>\n        <ng-template #optionGroup>\n          <optgroup [label]=\"option.label\" [disabled]=\"option.disabled\">\n            <option *ngFor=\"let optionItem of option.items\" [value]=\"optionItem.value\" [disabled]=\"optionItem.disabled\">{{\n              optionItem.label\n            }}</option>\n          </optgroup>\n        </ng-template>\n      </ng-container>\n    </select>\n  </ng-template>\n</ng-template>\n" }]
        }], ctorParameters: () => [{ type: i1.DynamicFormValidationService }] });

const bsDynamicFormSelectType = {
    type: 'select',
    component: BsDynamicFormSelectComponent,
    wrappers: ['hints', 'errors'],
    libraryName: bsDynamicFormLibrary.name,
};

class BsDynamicFormSwitchComponent extends DynamicFormInputBase {
    constructor(validationService) {
        super(validationService);
        this.validationService = validationService;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormSwitchComponent, deps: [{ token: i1.DynamicFormValidationService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.0.6", type: BsDynamicFormSwitchComponent, isStandalone: true, selector: "bs-dynamic-form-switch", usesInheritance: true, ngImport: i0, template: "<div class=\"form-check form-switch\">\n  <input\n    [id]=\"inputId\"\n    class=\"form-check-input\"\n    type=\"checkbox\"\n    [readonly]=\"readonly\"\n    [required]=\"validation?.required\"\n    [formControl]=\"control\"\n  />\n  <label [for]=\"inputId\" class=\"form-check-label\">{{ template.label }}<span *ngIf=\"validation?.required\"> *</span></label>\n</div>\n", dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i3.CheckboxControlValueAccessor, selector: "input[type=checkbox][formControlName],input[type=checkbox][formControl],input[type=checkbox][ngModel]" }, { kind: "directive", type: i3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i3.CheckboxRequiredValidator, selector: "input[type=checkbox][required][formControlName],input[type=checkbox][required][formControl],input[type=checkbox][required][ngModel]" }, { kind: "directive", type: i3.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormSwitchComponent, decorators: [{
            type: Component,
            args: [{ standalone: true, selector: 'bs-dynamic-form-switch', imports: [CommonModule, ReactiveFormsModule], template: "<div class=\"form-check form-switch\">\n  <input\n    [id]=\"inputId\"\n    class=\"form-check-input\"\n    type=\"checkbox\"\n    [readonly]=\"readonly\"\n    [required]=\"validation?.required\"\n    [formControl]=\"control\"\n  />\n  <label [for]=\"inputId\" class=\"form-check-label\">{{ template.label }}<span *ngIf=\"validation?.required\"> *</span></label>\n</div>\n" }]
        }], ctorParameters: () => [{ type: i1.DynamicFormValidationService }] });

const bsDynamicFormSwitchType = {
    type: 'switch',
    component: BsDynamicFormSwitchComponent,
    wrappers: ['errors'],
    libraryName: bsDynamicFormLibrary.name,
};

class BsDynamicFormTextareaComponent extends DynamicFormInputBase {
    constructor(validationService) {
        super(validationService);
        this.validationService = validationService;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormTextareaComponent, deps: [{ token: i1.DynamicFormValidationService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.0.6", type: BsDynamicFormTextareaComponent, isStandalone: true, selector: "bs-dynamic-form-textarea", usesInheritance: true, ngImport: i0, template: "<bs-dynamic-form-input-wrapper\n  [inputTemplate]=\"inputTemplate\"\n  [inputId]=\"inputId\"\n  [label]=\"template.label\"\n  [labelFloating]=\"template.labelFloating\"\n  [requiredMarker]=\"validation?.required\"\n  [prefixAddOn]=\"prefixAddOn\"\n  [suffixAddOn]=\"suffixAddOn\"\n></bs-dynamic-form-input-wrapper>\n\n<ng-template #inputTemplate>\n  <textarea\n    [id]=\"inputId\"\n    class=\"form-control\"\n    [placeholder]=\"input.placeholder || ''\"\n    [pattern]=\"input.pattern\"\n    [readonly]=\"readonly\"\n    [required]=\"validation?.required\"\n    [formControl]=\"control\"\n  ></textarea>\n</ng-template>\n", dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i3.RequiredValidator, selector: ":not([type=checkbox])[required][formControlName],:not([type=checkbox])[required][formControl],:not([type=checkbox])[required][ngModel]", inputs: ["required"] }, { kind: "directive", type: i3.PatternValidator, selector: "[pattern][formControlName],[pattern][formControl],[pattern][ngModel]", inputs: ["pattern"] }, { kind: "directive", type: i3.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "component", type: BsDynamicFormInputWrapperComponent, selector: "bs-dynamic-form-input-wrapper", inputs: ["inputTemplate", "inputId", "label", "labelFloating", "requiredMarker", "inputAddOn", "prefixAddOn", "suffixAddOn"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormTextareaComponent, decorators: [{
            type: Component,
            args: [{ standalone: true, selector: 'bs-dynamic-form-textarea', imports: [CommonModule, ReactiveFormsModule, BsDynamicFormInputWrapperComponent], template: "<bs-dynamic-form-input-wrapper\n  [inputTemplate]=\"inputTemplate\"\n  [inputId]=\"inputId\"\n  [label]=\"template.label\"\n  [labelFloating]=\"template.labelFloating\"\n  [requiredMarker]=\"validation?.required\"\n  [prefixAddOn]=\"prefixAddOn\"\n  [suffixAddOn]=\"suffixAddOn\"\n></bs-dynamic-form-input-wrapper>\n\n<ng-template #inputTemplate>\n  <textarea\n    [id]=\"inputId\"\n    class=\"form-control\"\n    [placeholder]=\"input.placeholder || ''\"\n    [pattern]=\"input.pattern\"\n    [readonly]=\"readonly\"\n    [required]=\"validation?.required\"\n    [formControl]=\"control\"\n  ></textarea>\n</ng-template>\n" }]
        }], ctorParameters: () => [{ type: i1.DynamicFormValidationService }] });

const bsDynamicFormTextareaType = {
    type: 'textarea',
    component: BsDynamicFormTextareaComponent,
    wrappers: ['hints', 'errors'],
    libraryName: bsDynamicFormLibrary.name,
};

class BsDynamicFormTextboxComponent extends DynamicFormInputBase {
    constructor(validationService) {
        super(validationService);
        this.validationService = validationService;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormTextboxComponent, deps: [{ token: i1.DynamicFormValidationService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.0.6", type: BsDynamicFormTextboxComponent, isStandalone: true, selector: "bs-dynamic-form-textbox", usesInheritance: true, ngImport: i0, template: "<bs-dynamic-form-input-wrapper\n  [inputTemplate]=\"inputTemplate\"\n  [inputId]=\"inputId\"\n  [label]=\"template.label\"\n  [labelFloating]=\"template.labelFloating\"\n  [requiredMarker]=\"validation?.required\"\n  [prefixAddOn]=\"prefixAddOn\"\n  [suffixAddOn]=\"suffixAddOn\"\n></bs-dynamic-form-input-wrapper>\n\n<ng-template #inputTemplate>\n  <input\n    [id]=\"inputId\"\n    class=\"form-control\"\n    [type]=\"input.inputTypeForced || input.inputType\"\n    [placeholder]=\"input.placeholder || ''\"\n    [pattern]=\"input.pattern\"\n    [readonly]=\"readonly\"\n    [required]=\"validation?.required\"\n    [formControl]=\"control\"\n  />\n</ng-template>\n", dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i3.RequiredValidator, selector: ":not([type=checkbox])[required][formControlName],:not([type=checkbox])[required][formControl],:not([type=checkbox])[required][ngModel]", inputs: ["required"] }, { kind: "directive", type: i3.PatternValidator, selector: "[pattern][formControlName],[pattern][formControl],[pattern][ngModel]", inputs: ["pattern"] }, { kind: "directive", type: i3.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "component", type: BsDynamicFormInputWrapperComponent, selector: "bs-dynamic-form-input-wrapper", inputs: ["inputTemplate", "inputId", "label", "labelFloating", "requiredMarker", "inputAddOn", "prefixAddOn", "suffixAddOn"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormTextboxComponent, decorators: [{
            type: Component,
            args: [{ standalone: true, selector: 'bs-dynamic-form-textbox', imports: [CommonModule, ReactiveFormsModule, BsDynamicFormInputWrapperComponent], template: "<bs-dynamic-form-input-wrapper\n  [inputTemplate]=\"inputTemplate\"\n  [inputId]=\"inputId\"\n  [label]=\"template.label\"\n  [labelFloating]=\"template.labelFloating\"\n  [requiredMarker]=\"validation?.required\"\n  [prefixAddOn]=\"prefixAddOn\"\n  [suffixAddOn]=\"suffixAddOn\"\n></bs-dynamic-form-input-wrapper>\n\n<ng-template #inputTemplate>\n  <input\n    [id]=\"inputId\"\n    class=\"form-control\"\n    [type]=\"input.inputTypeForced || input.inputType\"\n    [placeholder]=\"input.placeholder || ''\"\n    [pattern]=\"input.pattern\"\n    [readonly]=\"readonly\"\n    [required]=\"validation?.required\"\n    [formControl]=\"control\"\n  />\n</ng-template>\n" }]
        }], ctorParameters: () => [{ type: i1.DynamicFormValidationService }] });

const bsDynamicFormTextboxType = {
    type: 'textbox',
    component: BsDynamicFormTextboxComponent,
    wrappers: ['hints', 'errors'],
    libraryName: bsDynamicFormLibrary.name,
};

class BsDynamicFormToggleComponent extends DynamicFormInputBase {
    constructor(validationService) {
        super(validationService);
        this.validationService = validationService;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormToggleComponent, deps: [{ token: i1.DynamicFormValidationService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.0.6", type: BsDynamicFormToggleComponent, isStandalone: true, selector: "bs-dynamic-form-toggle", usesInheritance: true, ngImport: i0, template: "<div class=\"btn-group btn-group-toggle\">\n  <ng-container *ngFor=\"let option of input.options; let i = index\">\n    <input\n      class=\"btn-check\"\n      type=\"radio\"\n      [id]=\"inputId + '-' + i\"\n      [name]=\"inputId\"\n      [formControl]=\"control\"\n      [value]=\"option.value\"\n      [attr.disabled]=\"control.disabled || option.disabled\"\n      [readonly]=\"readonly\"\n      autocomplete=\"off\"\n    />\n    <label\n      class=\"btn btn-outline-light\"\n      [for]=\"inputId + '-' + i\"\n      [class.disabled]=\"control.disabled || option.disabled\"\n      [class.active]=\"control.value === option.value\"\n      >{{ option.label }}</label\n    >\n  </ng-container>\n</div>\n", dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i3.RadioControlValueAccessor, selector: "input[type=radio][formControlName],input[type=radio][formControl],input[type=radio][ngModel]", inputs: ["name", "formControlName", "value"] }, { kind: "directive", type: i3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i3.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormToggleComponent, decorators: [{
            type: Component,
            args: [{ standalone: true, selector: 'bs-dynamic-form-toggle', imports: [CommonModule, ReactiveFormsModule], template: "<div class=\"btn-group btn-group-toggle\">\n  <ng-container *ngFor=\"let option of input.options; let i = index\">\n    <input\n      class=\"btn-check\"\n      type=\"radio\"\n      [id]=\"inputId + '-' + i\"\n      [name]=\"inputId\"\n      [formControl]=\"control\"\n      [value]=\"option.value\"\n      [attr.disabled]=\"control.disabled || option.disabled\"\n      [readonly]=\"readonly\"\n      autocomplete=\"off\"\n    />\n    <label\n      class=\"btn btn-outline-light\"\n      [for]=\"inputId + '-' + i\"\n      [class.disabled]=\"control.disabled || option.disabled\"\n      [class.active]=\"control.value === option.value\"\n      >{{ option.label }}</label\n    >\n  </ng-container>\n</div>\n" }]
        }], ctorParameters: () => [{ type: i1.DynamicFormValidationService }] });

const bsDynamicFormToggleType = {
    type: 'toggle',
    component: BsDynamicFormToggleComponent,
    wrappers: ['label', 'errors'],
    libraryName: bsDynamicFormLibrary.name,
};

const bsDynamicFormInputTypes = [
    bsDynamicFormCheckboxType,
    bsDynamicFormComboboxType,
    bsDynamicFormDatepickerType,
    bsDynamicFormFileType,
    bsDynamicFormNumberboxType,
    bsDynamicFormRadioType,
    bsDynamicFormSelectType,
    bsDynamicFormSwitchType,
    bsDynamicFormTextareaType,
    bsDynamicFormTextboxType,
    bsDynamicFormToggleType,
];
class BsDynamicFormInputModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormInputModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormInputModule, imports: [DynamicFormFileModule, DynamicFormTextboxModule, i1.DynamicFormConfigModule], exports: [DynamicFormConfigModule] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormInputModule, imports: [DynamicFormFileModule, DynamicFormTextboxModule, DynamicFormConfigModule.withInputs(bsDynamicFormInputTypes), DynamicFormConfigModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormInputModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [DynamicFormFileModule, DynamicFormTextboxModule, DynamicFormConfigModule.withInputs(bsDynamicFormInputTypes)],
                    exports: [DynamicFormConfigModule],
                }]
        }] });

class BsDynamicFormsModule {
    static forRoot(config) {
        return {
            ngModule: BsDynamicFormsModule,
            providers: [
                {
                    provide: DYNAMIC_FORM_LIBRARY,
                    useValue: bsDynamicFormLibrary,
                },
                {
                    provide: DYNAMIC_FORM_THEME,
                    useValue: config && config.theme,
                },
                {
                    provide: DYNAMIC_FORM_ID_BUILDER,
                    useValue: config && config.idBuilder,
                },
            ],
        };
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormsModule, imports: [DynamicFormsModule,
            DynamicFormElementModule,
            DynamicFormControlModule,
            DynamicFormGroupModule,
            DynamicFormArrayModule,
            DynamicFormDictionaryModule, i1.DynamicFormValidationModule, BsDynamicFormElementModule,
            BsDynamicFormActionModule,
            BsDynamicFormInputModule,
            BsDynamicFormFieldWrapperModule], exports: [DynamicFormsModule] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormsModule, imports: [DynamicFormsModule,
            DynamicFormElementModule,
            DynamicFormControlModule,
            DynamicFormGroupModule,
            DynamicFormArrayModule,
            DynamicFormDictionaryModule,
            DynamicFormValidationModule.withValidation(),
            BsDynamicFormElementModule,
            BsDynamicFormActionModule,
            BsDynamicFormInputModule,
            BsDynamicFormFieldWrapperModule, DynamicFormsModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.0.6", ngImport: i0, type: BsDynamicFormsModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        DynamicFormsModule,
                        DynamicFormElementModule,
                        DynamicFormControlModule,
                        DynamicFormGroupModule,
                        DynamicFormArrayModule,
                        DynamicFormDictionaryModule,
                        DynamicFormValidationModule.withValidation(),
                        BsDynamicFormElementModule,
                        BsDynamicFormActionModule,
                        BsDynamicFormInputModule,
                        BsDynamicFormFieldWrapperModule,
                    ],
                    exports: [DynamicFormsModule],
                }]
        }] });

/*
 * Public API Surface of material
 */

/**
 * Generated bundle index. Do not edit.
 */

export { BsDynamicFormAccordionComponent, BsDynamicFormAccordionModule, BsDynamicFormActionModule, BsDynamicFormButtonComponent, BsDynamicFormCheckboxComponent, BsDynamicFormComboboxComponent, BsDynamicFormControlErrorsComponent, BsDynamicFormControlErrorsModule, BsDynamicFormControlHintsComponent, BsDynamicFormControlHintsModule, BsDynamicFormControlLabelComponent, BsDynamicFormControlLabelModule, BsDynamicFormDatepickerComponent, BsDynamicFormDialogComponent, BsDynamicFormElementModule, BsDynamicFormFieldWrapperModule, BsDynamicFormFileComponent, BsDynamicFormIconComponent, BsDynamicFormInputModule, BsDynamicFormInputWrapperComponent, BsDynamicFormItemsModule, BsDynamicFormModalComponent, BsDynamicFormModalModule, BsDynamicFormNumberboxComponent, BsDynamicFormRadioComponent, BsDynamicFormSelectComponent, BsDynamicFormTabsComponent, BsDynamicFormTabsModule, BsDynamicFormTextareaComponent, BsDynamicFormTextboxComponent, BsDynamicFormsModule, bsDynamicFormAccordionType, bsDynamicFormActionTypes, bsDynamicFormButtonType, bsDynamicFormCheckboxType, bsDynamicFormComboboxType, bsDynamicFormControlErrorsType, bsDynamicFormControlHintsType, bsDynamicFormControlLabelType, bsDynamicFormDatepickerType, bsDynamicFormFileType, bsDynamicFormIconType, bsDynamicFormInputTypes, bsDynamicFormLibrary, bsDynamicFormModalType, bsDynamicFormNumberboxType, bsDynamicFormRadioType, bsDynamicFormSelectType, bsDynamicFormTabsType, bsDynamicFormTextareaType, bsDynamicFormTextboxType };
//# sourceMappingURL=dynamic-forms-bootstrap.mjs.map
